RDKit: RDKit::FMCS::Seed Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::FMCS::Seed Class Reference

`#include <Seed.h>`

## Public Member Functions
| Seed ()
void | setMoleculeFragment (const Seed &src)
Seed & | operator= (const Seed &src)
void | createFromParent (const Seed *parent)
unsigned int | getNumAtoms () const
unsigned int | getNumBonds () const
void | grow (MaximumCommonSubgraph &mcs) const
bool | canGrowBiggerThan (unsigned int maxBonds, unsigned int maxAtoms) const
void | computeRemainingSize (const ROMol &qmol)
unsigned int | addAtom (const Atom *atom)
unsigned int | addBond (const Bond *bond)
void | fillNewBonds (const ROMol &qmol, MaximumCommonSubgraph *mcs=nullptr) const
void | setStoreAllDegenerateMCS (bool value)

## Public Attributes
bool | CopyComplete {false}
unsigned int | GrowingStage {0}
MolFragment | MoleculeFragment
Graph | Topology
boost::dynamic_bitset | ExcludedBonds
unsigned int | LastAddedAtomsBeginIdx {0}
unsigned int | LastAddedBondsBeginIdx {0}
unsigned int | RemainingBonds {0}
unsigned int | RemainingAtoms {0}
DuplicatedSeedCache::TKey | DupCacheKey
std::vector< TargetMatch > | MatchResult

## Detailed Description

Definition at line 61 of file Seed.h.

## Constructor & Destructor Documentation

## ◆ Seed()

RDKit::FMCS::Seed::Seed | ( |  | ) |
| inline

Definition at line 98 of file Seed.h.

Referenced by createFromParent(), operator=(), and setMoleculeFragment().

## Member Function Documentation

## ◆ addAtom()

unsigned int RDKit::FMCS::Seed::addAtom | ( | const Atom * | atom | ) |

## ◆ addBond()

unsigned int RDKit::FMCS::Seed::addBond | ( | const Bond * | bond | ) |

## ◆ canGrowBiggerThan()

bool RDKit::FMCS::Seed::canGrowBiggerThan | ( | unsigned int | maxBonds,
|  | unsigned int | maxAtoms ) const
| inline

Definition at line 142 of file Seed.h.

References getNumAtoms(), getNumBonds(), RemainingAtoms, and RemainingBonds.

## ◆ computeRemainingSize()

void RDKit::FMCS::Seed::computeRemainingSize | ( | const ROMol & | qmol | ) |

## ◆ createFromParent()

void RDKit::FMCS::Seed::createFromParent | ( | const Seed * | parent | ) |
| inline

Definition at line 123 of file Seed.h.

References DupCacheKey, ExcludedBonds, getNumAtoms(), getNumBonds(), GrowingStage, LastAddedAtomsBeginIdx, LastAddedBondsBeginIdx, MoleculeFragment, RemainingAtoms, RemainingBonds, Seed(), and Topology.

## ◆ fillNewBonds()

void RDKit::FMCS::Seed::fillNewBonds | ( | const ROMol & | qmol,
|  | MaximumCommonSubgraph * | mcs = nullptr ) const

## ◆ getNumAtoms()

unsigned int RDKit::FMCS::Seed::getNumAtoms | ( |  | ) | const
| inline

Definition at line 138 of file Seed.h.

References MoleculeFragment.

Referenced by canGrowBiggerThan(), and createFromParent().

## ◆ getNumBonds()

unsigned int RDKit::FMCS::Seed::getNumBonds | ( |  | ) | const
| inline

Definition at line 139 of file Seed.h.

References MoleculeFragment.

Referenced by canGrowBiggerThan(), and createFromParent().

## ◆ grow()

void RDKit::FMCS::Seed::grow | ( | MaximumCommonSubgraph & | mcs | ) | const

## ◆ operator=()

Seed & RDKit::FMCS::Seed::operator= | ( | const Seed & | src | ) |
| inline

Definition at line 105 of file Seed.h.

References CopyComplete, DupCacheKey, ExcludedBonds, GrowingStage, LastAddedAtomsBeginIdx, LastAddedBondsBeginIdx, MatchResult, MoleculeFragment, RemainingAtoms, RemainingBonds, Seed(), and Topology.

## ◆ setMoleculeFragment()

void RDKit::FMCS::Seed::setMoleculeFragment | ( | const Seed & | src | ) |
| inline

Definition at line 102 of file Seed.h.

References MoleculeFragment, and Seed().

Referenced by RDKit::FMCS::SeedSet::add().

## ◆ setStoreAllDegenerateMCS()

void RDKit::FMCS::Seed::setStoreAllDegenerateMCS | ( | bool | value | ) |
| inline

Definition at line 155 of file Seed.h.

## Member Data Documentation

## ◆ CopyComplete

bool RDKit::FMCS::Seed::CopyComplete {false}

Definition at line 75 of file Seed.h.

Referenced by operator=().

## ◆ DupCacheKey

DuplicatedSeedCache::TKey RDKit::FMCS::Seed::DupCacheKey

Definition at line 92 of file Seed.h.

Referenced by createFromParent(), and operator=().

## ◆ ExcludedBonds

boost::dynamic_bitset RDKit::FMCS::Seed::ExcludedBonds

Definition at line 84 of file Seed.h.

Referenced by createFromParent(), and operator=().

## ◆ GrowingStage

unsigned int RDKit::FMCS::Seed::GrowingStage {0}
| mutable

Definition at line 78 of file Seed.h.

Referenced by createFromParent(), and operator=().

## ◆ LastAddedAtomsBeginIdx

unsigned int RDKit::FMCS::Seed::LastAddedAtomsBeginIdx {0}

Definition at line 86 of file Seed.h.

Referenced by createFromParent(), and operator=().

## ◆ LastAddedBondsBeginIdx

unsigned int RDKit::FMCS::Seed::LastAddedBondsBeginIdx {0}

Definition at line 88 of file Seed.h.

Referenced by createFromParent(), and operator=().

## ◆ MatchResult

std::vector<TargetMatch> RDKit::FMCS::Seed::MatchResult

Definition at line 95 of file Seed.h.

Referenced by operator=().

## ◆ MoleculeFragment

MolFragment RDKit::FMCS::Seed::MoleculeFragment

Definition at line 80 of file Seed.h.

Referenced by createFromParent(), getNumAtoms(), getNumBonds(), operator=(), and setMoleculeFragment().

## ◆ RemainingAtoms

unsigned int RDKit::FMCS::Seed::RemainingAtoms {0}

Definition at line 90 of file Seed.h.

Referenced by canGrowBiggerThan(), createFromParent(), and operator=().

## ◆ RemainingBonds

unsigned int RDKit::FMCS::Seed::RemainingBonds {0}

Definition at line 89 of file Seed.h.

Referenced by canGrowBiggerThan(), createFromParent(), and operator=().

## ◆ Topology

Graph RDKit::FMCS::Seed::Topology

Definition at line 82 of file Seed.h.

Referenced by createFromParent(), and operator=().

The documentation for this class was generated from the following file:

- Seed.h